---
title: Execute Fiat Payout Order
slug: execute-fiat-payout-order
docTags: 
createdAt: 2025-05-02T10:40:00.252Z
---

This API is used to execute a fiat payout order and complete the user’s withdrawal. It accepts header `access token`, `token` , `requestId` and `clientId`

:::hint{type="info"}
Call this api after generating token from [Create Fiat Payout Order mode=createVerify](docId\:cz-cuTNjfgEFE_EokAwiO)&#x20;
:::

This api requires access token that can be generated using [Access Token](docId\:lq-v6fF_2i-h1O3XD5KKA) API.

:::ApiMethodV2
```json
{
  "name": "Execute Fiat Payout Order",
  "method": "POST",
  "url": "https://your-hostname.pay3.app/v1/client/payout/execute",
  "description": "Create an order with payout details from application's backend",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "eXhyHL9RWXfgU_lG6oq1Q",
        "language": "curl",
        "code": "curl --location 'https://your-hostname.pay3.app/v1/client/payout/create-order' \\\n--header 'signature': \"generated-signature\"\\\n--header 'access-token' : \"dynamic-access-token\" \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json' \\\n--data '{\n    \"token\":\"45452aae-581d-49db-94be-ac0973e39e86\",\n    \"requestId\":\"239e667a-3a54-4928-a265-09c003d7ec73\",\n    \"clientId\":\"....\"\n}'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "eXhyHL9RWXfgU_lG6oq1Q"
  },
  "results": {
    "languages": [
      {
        "id": "VQyRchSR38UbBEhATUpjh",
        "language": "200",
        "code": "{\n    \"requestId\": \"239e667a-3a54-4928-a265-09c003d7ec73\",\n    \"orderId\": \"776cd238-0d49-4a6b-b5e0-a8ca245036a2\",\n    \"orderType\": \"PAYOUT\",\n    \"status\": \"ORDER_PAYMENT_INITIATED\"\n}",
        "customLabel": ""
      },
      {
        "id": "66DvgM2SsFyRRj4NnmNJ1",
        "language": "400",
        "code": "{\n    error: {\n      code: '7001',\n      message: 'Order already exists for given requestId'\n    }\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "VQyRchSR38UbBEhATUpjh"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "name": "access-token",
        "kind": "required",
        "type": "string",
        "description": "Access token received from Access token API. You can reuse the access token across multiple API calls till it is expired",
        "children": []
      }
    ],
    "bodyDataParameters": [
      {
        "name": "requestId",
        "kind": "required",
        "type": "string",
        "description": "Identifier that is created by Application's backend. This will be passed in relevant events and webhooks from Pay3 to Application. ",
        "": "Identifier that is created by Application's backend. This will be passed in relevant events and webhooks from Pay3 to Application. "
      },
      {
        "name": "clientId",
        "kind": "required",
        "type": "string",
        "description": "Client id. Application's identifier",
        "children": []
      },
      {
        "name": "token",
        "kind": "required",
        "type": "string",
        "description": "A unique token returned after creating the payout/verification order. This token must be passed to the Execute API to complete the processing flow.",
        "": "required"
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "response": [
    {
      "name": "requestId",
      "kind": "optional",
      "type": "string",
      "description": "Identifier that is created by Application's backend. This will be passed in relevant events and webhooks from Pay3 to Application. "
    },
    {
      "name": "orderId",
      "kind": "optional",
      "type": "string",
      "description": "The internal Pay3-generated identifier for this payout order. This can be used for tracking, reconciliation, and fetching detailed order information through the Order Details API.",
      "children": []
    },
    {
      "name": "orderType",
      "kind": "optional",
      "type": "string",
      "description": "Indicates the type of order being processed. For this API, the value will always be \"PAYOUT\", confirming that the request corresponds to a withdrawal operation.",
      "children": []
    },
    {
      "name": "status",
      "kind": "optional",
      "type": "string",
      "description": "Indicates the current stage or final outcome of the payout execution. The possible statuses include:\n\n- ORDER_PAYMENT_INITIATED: The payout has been triggered and processing has begun.\n- FAILED: The payout could not be processed due to an error from the partner, bank, or network.\n",
      "children": []
    }
  ],
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "execute-fiat-payout-order",
  "legacyHash": "mXfLMxmKKFuBlvI3p8dgN"
}
```
:::

***

